Change "login" to "log in" where it is used as a verb (i.e. most places)
Closed, ResolvedPublic

Description

Author: jonesey95

Description:
This is a grammar fix.

In many locations in this extension, the noun "login" is used as a verb. It needs to be changed to the verb phrase "log in". Examples:

MediaWiki:mobile-frontend-donate-image-login-action (Login to share your media.)
MediaWiki:mobile-frontend-edit-login-action (Login to edit.)
MediaWiki:mobile-frontend-generic-login-action (Login to contribute.)
MediaWiki:mobile-frontend-photo-upload-anon (Please login to add an image to this page.)
MediaWiki:mobile-frontend-user-cta (Please login or sign up to see your notifications.)
MediaWiki:mobile-frontend-watchlist-cta-button-login (Login)
MediaWiki:mobile-frontend-watchlist-login-action (Login to see it.)

Discussion at https://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28technical%29#Mobile_interface_contains_bad_English


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=6138

bzimport set Reference to bz60426.
bzimport created this task.Via LegacyJan 25 2014, 4:53 PM
gerritbot added a comment.Via ConduitJan 26 2014, 7:26 AM

Change 109503 had a related patch set uploaded by 01tonythomas:
Renamed "login" to "log in" where it is used as a verb

https://gerrit.wikimedia.org/r/109503

gerritbot added a comment.Via ConduitJan 26 2014, 7:32 AM

Change 109503 merged by jenkins-bot:
Renamed "login" to "log in" where it is used as a verb

https://gerrit.wikimedia.org/r/109503

Jdlrobson added a comment.Via ConduitJan 26 2014, 7:35 PM

I see this got lightning fixed but why not change it to sign in - we already use the phrase sign up for the other action. I feel this would be even better...

Jdlrobson added a comment.Via ConduitJan 27 2014, 6:26 PM

This fix is also incomplete...

gerritbot added a comment.Via ConduitJan 27 2014, 6:26 PM

Change 109698 had a related patch set uploaded by Jdlrobson:
Switch from 'log in' to 'sign in'

https://gerrit.wikimedia.org/r/109698

bzimport added a comment.Via ConduitJan 27 2014, 9:33 PM

jonesey95 wrote:

Why would this be changed to "sign in" when the regular (non-mobile) site uses "log in"? I would think that the terminology should be consistent across the site, if only for ease of documentation.

"Log in" appears to be the accepted phrase. I believe that "Sign in" would introduce inconsistency.

Jdlrobson added a comment.Via ConduitJan 27 2014, 9:52 PM

Whatever I'm not fussed either way. That said - there are a few more instances of login that need changing to 'log in' for this bug to be resolved.

Awjrichards added a comment.Via ConduitJan 28 2014, 1:15 AM

According to Kenan (product owner/manager for mobile web), we ought to keep 'log in'. Jon, we should probably just abandon the patchset. I took a quick look through the i18n file an browser tests, I didn't see any other errant instances of 'login', though I may be mistaken.

gerritbot added a comment.Via ConduitJan 28 2014, 1:19 AM

Change 109698 abandoned by Jdlrobson:
Switch from 'log in' to 'sign in'

Reason:
The ones that were missing seem to have magically appeared. A little confused but looks like this is done.

https://gerrit.wikimedia.org/r/109698

Jdlrobson added a comment.Via ConduitJan 28 2014, 1:21 AM

I'm a tad confused as earlier today it seemed some messages were still using 'Login' but that doesn't seem to be the case now. I can only assume I was looking at some outdated branch.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.